from flask import Flask
from flask_rq2 import RQ as _RQ
from youtube_dl import YoutubeDL as YDL
from time import sleep
from .log import FeLog
from .callbacks import CbJob

BaseYDLOpts={
	'no_color': True,
	'call_home': False,
	'logger': FeLog(),
	'progress_hooks': {
		'status': CbJob.status,
	},
}

app=Flask(__name__)
RQ=_RQ(app)

@RQ.job('test', timeout=30)
def DeliberatelyTimesOut():
	sleep(35)

@app.route('/')
def index(): return 'hewwo'

@app.route('/add/timeouttest')
def timeouttest():
	j=DeliberatelyTimesOut.queue()
	return 'queued'